miércoles, 24 de octubre de 2007

Actualización de kernel para Red Hat Enterprise Linux 5

Red Hat ha publicado una actualización del kernel que solventa varias vulnerabilidades.

Los errores corregidos son:

* Una vulnerabilidad está causada por un fallo en un parche anterior que podría ser explotada por un atacante remoto para provocar una denegación de servicio en los sistemas con plataforma AMD64 o Intel 64.

* Una vulnerabilidad está causada por un error en el manejo de las señales de la muerte de procesos. Podría ser explotada por un atacante local para mandar señales arbitrarias a los procesos-suid ejecutados por el usuario.

* Se ha encontrado un fallo en Distributed Lock Manager (DLM) en el cluster manager. Esto podría permitir a un atacante remoto causar una denegación de servicio si se conecta al puerto DLM.

* Se ha encontrado un fallo en el driver SCSI aacraid que podría permitir a un usuario local hacer llamadas ioctl al driver. Llamadas que debieran estar restringidas para el usuario.

* Se ha encontrado un fallo en el manejo de prio_tree en el soporte hugetlb que podría ser aprovechado por un atacante local para causar una denegación de servicio.

* Se ha encontrado un fallo en el driver eHCA para las arquitecturas powerPC que podría ser aprovechado por un atacante local para acceder a 60k de direcciones físicas que podría contener información sensible.

* Se ha encontrado un fallo en el soporte ptrace que permitiría a un usuario local poner un puntero a NULL y causar una denegación de servicio.

* Se ha encontrado un fallo en el driver usblcd que podría ser explotado por un atacante local para causar una denegación de servicio escribiendo datos en el nodo del dispositivo.

* Se ha encontrado un último error en la implementación del generador de números aleatorios que podría ser explotado por un atacante local para causar una denegación de servicio o escalar privilegios.

Se recomienda actualizar a través de las herramientas automáticas up2date.


Laboratorio Hispasec
laboratorio@hispasec.com


Más información:

Important: kernel security update
http://rhn.redhat.com/errata/RHSA-2007-0940.html